org.apache.http.conn.socket

## Class PlainConnectionSocketFactory

- java.lang.Object
- - org.apache.http.conn.socket.PlainConnectionSocketFactory

- All Implemented Interfaces:
    ConnectionSocketFactory

      @Contract(threading=IMMUTABLE)
      public class PlainConnectionSocketFactory
      extends Object
      implements ConnectionSocketFactory

  用于创建普通（未加密）套接字的默认类。
  从以下版本开始：
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PlainConnectionSocketFactory` | `INSTANCE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `PlainConnectionSocketFactory()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `connectSocket(int connectTimeout, Socket socket, HttpHost host, InetSocketAddress remoteAddress, InetSocketAddress localAddress, HttpContext context)` 使用给定的解析远程地址将套接字连接到目标主机。
    `Socket` | `createSocket(HttpContext context)` 创建新的，未连接的套接字。
    `static PlainConnectionSocketFactory` | `getSocketFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final PlainConnectionSocketFactory INSTANCE

  - ### 构造方法详细信息

    - #### PlainConnectionSocketFactory

          public PlainConnectionSocketFactory()

  - ### 方法详细信息

    - #### getSocketFactory

          public static PlainConnectionSocketFactory getSocketFactory()

    - #### createSocket

          public Socket createSocket(HttpContext context)
                              throws IOException

      描述从接口`ConnectionSocketFactory`复制
      创建新的，未连接的套接字。 应该将套接字传递给`connectSocket`方法。
      Specified by:
        `createSocket`接口 `ConnectionSocketFactory`
      结果
        一个新插座
      异常
        `IOException` - 如果在创建套接字时发生I / O错误

    - #### connectSocket

          public Socket connectSocket(int connectTimeout,
                             Socket socket,
                             HttpHost host,
                             InetSocketAddress remoteAddress,
                             InetSocketAddress localAddress,
                             HttpContext context)
                               throws IOException

      说明从接口`ConnectionSocketFactory`复制
      使用给定的解析远程地址将套接字连接到目标主机。
      Specified by:
        `connectSocket`在接口 `ConnectionSocketFactory`
      参数
        `connectTimeout` - 连接超时。
        `socket` - 要从`ConnectionSocketFactory.createSocket(HttpContext)`获取的套接字 。 `null`表示应该创建并连接一个新的套接字。
        `host` - 由主叫方指定的目标主机（最终用户）。
        `remoteAddress` - 解析的远程地址要连接。
        `localAddress` - 将套接字绑定到的本地地址，或任何 `null` 。
        `context` - 实际的HTTP上下文。
      结果
        连接的插座。 如果该工厂支持分层协议，返回的对象可能与`sock`参数不同。
      异常
        `IOException` - 如果发生I / O错误

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585